Subject: LRO: Re:front seal retainer, Nigel's Disease

From: "Mark Freeman" <[email-masked]>
Date: Tue, 1 May 2001 18:38:17 -0700

Jim Hall, I believe all of this talk has about front crank seals has caused
my Series III 2.25 petrol to develop "sympathetic symptoms"  Seal part #
would be greatly appreciated.

Thanks,

Mark Freeman
Sedalia, Missouri
Series Land Rovers, beyond what reasonable people can tolerate (present
company excluded).

From: "Jim Hall" <[email-masked]>
Subject: Re: LRO: front seal retainer

Well they didn't have a double lipped seal in stock, but I was able to
get two thinner seals that I can put in together to make a double lip.
It may make seal removal a little harder but I shouldn't have to replace
them often.